Update a FileAttachment by ID
curl --request PATCH \
--url https://api.tread-horizon.com/v1/file_attachments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"category": "Other",
"description": "<string>"
}
'import requests
url = "https://api.tread-horizon.com/v1/file_attachments/{id}"
payload = {
"category": "Other",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({category: 'Other', description: '<string>'})
};
fetch('https://api.tread-horizon.com/v1/file_attachments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"category": "Other",
"description": "<string>",
"file_attachable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_url": "<string>",
"mime_type": "<string>",
"preview_url": "<string>",
"preview_mime_type": "<string>",
"uploaded_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"file_name": "<string>",
"editable": true,
"deletable": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"errors": [
{
"model": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}
}FileAttachments
Update a FileAttachment by ID
Update FileAttachment by ID. Requires permission to edit attachment on a particular object:
For Projects: edit_project_attachments
For Orders: edit_order_attachments
For Jobs: edit_job_attachments
For Loads: edit_load_attachments
For Driver Days: edit_driver_day_attachments
For Settlements: edit_settlement_attachments\
Drivers and Foremen that have this permission, can only edit FileAttachments that they have added.
PATCH
/
v1
/
file_attachments
/
{id}
Update a FileAttachment by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Path Parameters
The ID of the file attachment you're operating on
Body
application/json
Response
OK
Show child attributes
Show child attributes
⌘I